Functions

3.10.0 (stable)

Release 3.10.0 has been published on September 23, 2008.

Please read the ILIAS 3.10 features report for information about major changes and new features of this version!

Information about first time installation can be found here.
ILIAS 3.10.0 does not support MySQL 4.0.x anymore. You need at least MySQL 4.1.x or higher. Minimum PHP Version is PHP 5.1.3. We also moved from PEAR::DB to the PEAR::MDB2 package with 3.10.0.

How to Update: Instructions for updating ILIAS can be found in section 3 of the general installation instructions. For major updates (e.g. 3.8.x -> 3.9.x) the safest proceeding is, to upgrade a copy of your productive system first and test whether everything works ok.

Notes for MySQL 4.0.x Upgraders: If you plan to upgrade from MySQL 4.0.x to MySQL 4.1.x or higher please read our Migrating from MySQL 4.0.x to MySQL 4.1.x instructions.

If you update from ILIAS 3.4.0 or 3.4.1 and already used MySQL 4.1.x: Due to a problem in the UTF-8 handling some extra update steps are necessary. Please click here and follow the instructions.

Format: .tar.gz

Download 3.10.0.tar.gz
50MB, 2008-09-23
md5: 51f58257cdee984b6cb323cd7a8d3333





Format: .zip

Download 3.10.0.zip
53MB, 2008-09-23
md5: e9141250fd1ead14afee9ac7d3961077


ILIAS is free, open source software and published under the GNU General Public License (GPL).

Known Issues

1. Test & Assessment User Results Patch

Users without write access to a test are not able to view their test results. Instead of seeing the test results they get a message "You do not possess sufficient permissions to edit the test". The patch file removes the general check for write permission in the test evaluation class and check for specific user rights.

The zip file contains one file:
class.ilTestEvaluationGUI.php

Please backup your current version of Modules/Test/classes/class.ilTestEvaluationGUI.php and copy the patch file to the corresponding directory.

- assessment_test_results_patch.zip - md5sum: ec6447ae01a81bbaaf272985a1d7e04a
2. DB Update Patch

This patch fixes an error in the database migration due to a bug in MySQL version 5.0.26.

The zip file contains one file:
dbupdate_2.php

Please backup your current version of setup/sql/dbupdate_2.php and copy the patch file to the corresponding directory.

- ilias-3.10.0.dbupdate-patch.zip -
md5sum: 1c0a81649919d6148b7062bb50d5c5e6
3. Permission Patch

This patch fixes a bug in the database migration, which made it impossible to delete Session objects for non-administrators.
Furthermore saving permission with enabled filter did remove permissions for all filtered roles.

The zip file contains two files:
dbupdate_2.php
class.ilPermissionGUI.php


Please backup your current version of setup/sql/dbupdate_2.php and classes/class.ilPermissionGUI.php copy the patch files to the corresponding directory. Enter setup and start the database migration.

- ilias-3.10.0.permission-patch.zip -
- ilias-3.10.0.permission-patch.zip -
md5sum: b3c005f2725eb4f56512d7c7af2688ca
4. Glossary Definition Editing Patch

If glossary definitions are edited and saved, the definition text does not appear in the list of definitions. To fix this, please download and unzip the following patch file. It contains one file:

Modules/Glossary/classes/class.ilTermDefinitionEditorGUI.php

Please backup your current version of Modules/Glossary/classes/class.ilTermDefinitionEditorGUI.php and copy the patch file to the corresponding directory.

Unfortunately these definitions need to be edited/saved again to make the definition text appear in the lists.

- ilias-3.10.0.glossary-patch.zip - md5sum: d37abb8062ba7ac01bd1ddaa32ef51f9